
Redmine - Defect #3690

Status change info duplicates on the issue screen

2009-07-29 16:22 - Vitaly Klimov

Status: Closed Start date: 2009-07-29

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 1.0.0 (RC)   

Resolution: Fixed Affected version:  

Description

After upgrade to r2819 i got this strange behavior - all the status/priority changes are displayed twice on the issue screen. For

example if i changed status from New to Resolved there would be two identical lines under Updated by: Status changed from New to

Resolved. In the email notifications all is normal and reported only once.

Associated revisions

Revision 3499 - 2010-02-28 10:21 - Jean-Philippe Lang

Fixed: journal details duplicated when an issue is saved twice (#3690).

History

#1 - 2009-07-29 20:35 - Jean-Philippe Lang

I'm not able to reproduce. Please read SubmittingBugs and make sure to test without any Redmine plugins installed.

#2 - 2009-08-14 14:54 - Rob Aldred

I get this same issue.

I have done some more investigation... it's only when RAILS_ENV is set to production.

I'm running with passenger with RAILS_ENV set to development the duplication of journal entries no longer happens. weird.

#3 - 2009-08-15 16:33 - Vitaly Klimov

It seems that the journal gets recorded twice only with the plugin Issues Group installed. Without it everything looks normal, so i guess that there is

some incompatibility with this plugin.

#4 - 2009-08-15 17:22 - Vitaly Klimov

After further investigation i found out that after_save procedure for class Issue (create_journal) called twice if Issues Group plugin installed. I tried

following workaround:

commented out after_save

did the callback in C++ style

  def save(*args)

     super

     create_journal

  end

 this way everything works as it should be.

To me it seems like some bug in Rails interpreter itself but i am new to Ruby and Rails so it is just guess

#5 - 2009-08-17 07:31 - Vitaly Klimov

Small changes to the code to favor args and return value

def save(*args)

  value = super(*args)

  create_journal

  return value

end

#6 - 2009-08-17 11:46 - Rob Aldred
is this going to redmine trunk?

#7 - 2009-08-17 11:47 - Rob Aldred

great work btw :)

#8 - 2009-10-09 17:43 - Roland Discein

Jean-Philippe Lang wrote:

I'm not able to reproduce. Please read SubmittingBugs and make sure to test without any Redmine plugins installed.

 respect, because they believe the community have to patch redmine sources instead of patching plugins. the solution posted below destroys ability to

post issue changes via email.

#9 - 2010-02-23 20:48 - Nanda P

- File Journal_Detail_Duplicate.jpg added

Same issue

 Journal_Detail_Duplicate.jpg 

Redmine 0.9.2.devel.3474 (MySQL)

#10 - 2010-02-28 10:23 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 1.0.0 (RC)

- Resolution set to Fixed

This is fixed in r3499.

Saving an issue twice won't duplicate change details any more.

#11 - 2010-02-28 17:10 - Nanda P

- File RedMine_History_Duplicate.jpg added

- Status changed from Closed to Reopened

Still the same issue. :(

 RedMine_History_Duplicate.jpg 

Redmine 0.9.3.devel.3514 (MySQL)

#12 - 2010-02-28 17:10 - Nanda P

 RedMine_History_Duplicate.jpg 

#13 - 2010-02-28 17:27 - Jean-Philippe Lang

The fix is not retroactive, it won't remove existing duplicates from your database.

Did the last issue update that I see on your screenshot occur after you upgraded to r3499?

#14 - 2010-02-28 18:00 - Nanda P

Yes, I am getting the duplicate issue after upgrading to latest revision (Redmine 0.9.3.devel.3514 (MySQL) )

I understand it won't remove existing duplicates from the database

#15 - 2010-02-28 18:17 - Vitaly Klimov

Do you have Issues Group plugin installed? In my case this was related to Issue Groups plugin - it seems that Rails somehow mixes up callbacks

chain for after_save for patched issue model.

#16 - 2010-02-28 18:29 - Nanda P

C:\Program Files\redmine\current>ruby script\about

About your application's environment

Ruby version              1.8.6 (i386-mswin32)

RubyGems version          1.3.5

Rack version              1.0

Rails version             2.3.5
Active Record version     2.3.5

Active Resource version   2.3.5

Action Mailer version     2.3.5

Active Support version    2.3.5

Application root          C:/Program Files/redmine/current

Environment               development

Database adapter          mysql

Database schema version   20100221100219

About your Redmine plugins

Redmine Reports plugin               0.1.0

Charts Plugin                        0.0.14

Redmine Blogs plugin                 0.0.4

Timesheet Plugin                     0.5.0

Redmine Question plugin              0.3.0

Stuff To Do Plugin                   0.3.0

Bulk Time Entry                      0.4.0

ezFAQ plugin                         0.3.3

Redmine Exception Handler plugin     0.2.0

Redmine Graphs plugin                0.1.0

Redmine Task Board plugin            1.0.0

Redmine System Notification plugin   0.2.0

Tab Plugin                           0.3.1

C:\Program Files\redmine\current>

#17 - 2010-02-28 19:01 - Vitaly Klimov

Well, try to removing plugins one by one starting with those who patch redmine core (just move their folders to the other location) and see if at some

moment in time dups will disappear. Or just remove all of the plugins and check it on the clean redmine.

#18 - 2010-03-02 19:08 - Nanda P

I Removed all plugins & still having the same issue. :(

C:\Program Files\redmine\current>ruby script/about

About your application's environment

Ruby version              1.8.6 (i386-mswin32)

RubyGems version          1.3.5

Rack version              1.0

Rails version             2.3.5

Active Record version     2.3.5

Active Resource version   2.3.5

Action Mailer version     2.3.5

Active Support version    2.3.5

Application root          C:/Program Files/redmine/current

Environment               development

Database adapter          mysql

Database schema version   20100221100219

 
Plugins

No data to display

#19 - 2010-03-02 19:19 - Nanda P

Redmine 0.9.3.devel.3521 (MySQL)

#20 - 2010-03-03 23:07 - Jean-Philippe Lang

Nanda, I'm really not able to reproduce this behaviour so please try with a fresh checkout.

I'll have to close this ticket if it can't be reproduced.

#21 - 2010-03-04 21:12 - Nanda P

Jean:

I tried with a fresh checkout(New database), duplication issue is gone. I think there was something wrong with the database.

You can close this issue.

Thank you,

Nanda
#22 - 2010-03-07 10:41 - Jean-Philippe Lang

- Status changed from Reopened to Closed

Thanks for the feedback. But I don't think there's something wrong with your database. You just need a fresh source.

Files

Journal_Detail_Duplicate.jpg 76.1 KB 2010-02-23 Nanda P

RedMine_History_Duplicate.jpg 29.7 KB 2010-02-28 Nanda P
